# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::FunctionImp Class Reference

Implementation class for internal Functions. More...

`#include <function.h>`

Collaboration diagram for KJS::FunctionImp:

[legend]
List of all members.

## Public Member Functions

| FunctionImp (ExecState *exec, const UString &n=UString::null)
virtual void | mark ()
virtual bool | implementsCall () const
virtual Value | call (ExecState *exec, Object &thisObj, const List &args)
void | addParameter (const UString &n)
UString | parameterString () const
virtual CodeType | codeType () const =0
virtual Completion | execute (ExecState *exec)=0
UString | name () const
virtual const ClassInfo * | classInfo () const

## Static Public Attributes

const ClassInfo | info = {"Function", &InternalFunctionImp::info, 0, 0}

## Protected Attributes

Parameter * | param
UString | ident

## Friends

class | Function
class | ActivationImp

## Detailed Description

Implementation class for internal Functions.

Definition at line 36 of file function.h.

The documentation for this class was generated from the following files:

- function.h
- function.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:08:46 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001